Subject: Re: Oops: of_platform_serial_probe

From: Timur Tabi <[email-masked]>
Date: Mon, 19 Nov 2007 10:34:59 -0600

Clemens Koller wrote:
> Timur Tabi schrieb:
>  > Clemens Koller wrote:
>  >
>  >> I guess I didn't configure the OF serial right in the .dts but it still
>  >> shouldn't crash. My .config is attached.
>  >
>  > Try disabling CONFIG_SERIAL_OF_PLATFORM.  I don't think it means what
>  > you think it means.
> 
> Thanks, disabling CONFIG_SERIAL_OF_PLATFORM helps. but it still 
> shouldn't crash...

That's a bug in the OF serial driver.  It's expecting fields in the serial 
node that don't exist.  You are right, however.  The driver should at least 
check for NULL pointers.  If I had any hardware that used that driver, I would 
fix it myself.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale